%define name patriarche
%define version 0.2.8
%define release %mkrel 8
%define bookname Le Patriarche

Summary: The true story of Ylraw
Name: %name
Version: %version
Release: %release
License: GPL
Epoch: 1
url: http://perso.wanadoo.fr/warly/files/patriarche
Source: %name-%version.tar.bz2
Patch: patriarche-0.2.8-use-gimp24.patch
Patch1: patriarche-fix-bz2-images.patch

Group: Books/Literature
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
BuildRequires: libxslt-proc gimp >= 1:2.4.0 gimp < 1:2.5.0 tetex-dvipdfm tetex-latex

%description
Le Patriarche postscript versions

%package html
Summary: The true story of Ylraw
Group: Books/Literature

%description html
Le Patriarche html versions.

%package pdf
Summary: The true story of Ylraw
Group: Books/Literature

%description pdf
Le Patriarche pdf versions.

%package txt
Summary: The true story of Ylraw
Group: Books/Literature

%description txt
Le Patriarche text versions.

%package xml
Summary: The true story of Ylraw
Group: Books/Literature

%description xml
Le Patriarche xml source versions.

%package en
Summary: The true story of Ylraw
Group: Books/Literature

%description en
Le Patriarche postscript versions

%package html-en
Summary: The true story of Ylraw
Group: Books/Literature

%description html-en
Le Patriarche html versions.

%package pdf-en
Summary: The true story of Ylraw
Group: Books/Literature

%description pdf-en
Le Patriarche pdf versions.

%package txt-en
Summary: The true story of Ylraw
Group: Books/Literature

%description txt-en
Le Patriarche text versions.

%package xml-en
Summary: The true story of Ylraw
Group: Books/Literature

%description xml-en
Le Patriarche xml source versions.

%package tools
License: GPL
Summary: patriarche related xml/text tools
Group: Publishing

%description tools
Tools needed to construct patriarche-like book.

%prep
%setup -q
%patch -p0
%patch1 -p0
bunzip2 img/*.bz2
gunzip  img/*.gz

%build

export GIMP2_DIRECTORY=$RPM_BUILD_DIR/%{name}-%{version}/gimp-2.3
make

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT

# Menu fr
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/applications

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-ps-1.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 1 postscript
Comment=%{bookname} Tome 1 Le Premier Monde -  la recherche d'un Dieu
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.1.ps
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-ps-2.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 2 postscript
Comment=%{bookname} Tome 2 Le Premier Monde - Le bien
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.2.ps
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-ps-3.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 3 postscript
Comment=%{bookname} Tome 3 Le Premier Monde - Crise
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.3.ps
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-ps-4.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 4 postscript
Comment=%{bookname} Tome 4 Le Premier Monde - Mnocha
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.4.ps
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-pdf-1.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 1 PDF
Comment=%{bookname} Tome 1 Le Premier Monde -  la recherche d'un Dieu
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.1.pdf
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-pdf-2.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 2 PDF
Comment=%{bookname} Tome 2 Le Premier Monde - Le bien
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.2.pdf
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-pdf-3.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 3 PDF
Comment=%{bookname} Tome 3 Le Premier Monde - Crise
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.3.pdf
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-pdf-4.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 4 PDF
Comment=%{bookname} Tome 4 Le Premier Monde - Mnocha
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.4.pdf
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-html-1.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 1 HTML
Comment=%{bookname} Tome 1 Le Premier Monde -  la recherche d'un Dieu
Exec=www-browser %{_datadir}/%name/i18n/en/html-1.1-en/index.html
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-html-2.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 2 HTML
Comment=%{bookname} Tome 2 Le Premier Monde - Le bien
Exec=www-browser %{_datadir}/%name/i18n/en/html-1.2-en/index.html
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-html-3.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 3 HTML
Comment=%{bookname} Tome 3 Le Premier Monde - Crise
Exec=www-browser %{_datadir}/%name/i18n/en/html-1.3-en/index.html
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-html-4.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 4 HTML
Comment=%{bookname} Tome 4 Le Premier Monde - Mnocha
Exec=www-browser %{_datadir}/%name/i18n/en/html-1.4-en/index.html
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-ps-1-en.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 1 postscript
Comment=%{bookname} Tome 1 The First World: In the search of a God
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.1.ps
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-ps-2-en.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 2 postscript
Comment=%{bookname} Tome 2 The First World: Good
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.2.ps
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-ps-3-en.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 3 postscript
Comment=%{bookname} Tome 3 The First World: Crisis
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.3.ps
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-ps-4-en.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 4 postscript
Comment=%{bookname} Tome 4 The First World - Mnocha
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.4.ps
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-pdf-1-en.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 1 PDF
Comment=%{bookname} Tome 1 The First World: In the search of a God
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.1.pdf
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-pdf-2-en.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 2 PDF
Comment=%{bookname} Tome 2 The First World: Good
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.2.pdf
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-pdf-3-en.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 3 PDF
Comment=%{bookname} Tome 3 The First World: Crisis
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.3.pdf
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-pdf-4-en.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 4 PDF
Comment=%{bookname} Tome 4 The First World - Mnocha
Exec=xdg-open %{_datadir}/%name/A4-patriarche-1.4.pdf
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-html-1-en.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 1 HTML
Comment=%{bookname} Tome 1 The First World: In the search of a God
Exec=www-browser %{_datadir}/%name/i18n/en/html-1.1-en/index.html
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-html-2-en.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 2 HTML
Comment=%{bookname} Tome 2 The First World: Good
Exec=www-browser %{_datadir}/%name/i18n/en/html-1.2-en/index.html
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-html-3-en.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 3 HTML
Comment=%{bookname} Tome 3 The First World: Crisis
Exec=www-browser %{_datadir}/%name/i18n/en/html-1.3-en/index.html
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}-html-4-en.desktop << EOF
[Desktop Entry]
Name=%{bookname} Tome 4 HTML
Comment=%{bookname} Tome 4 The First World - Mnocha
Exec=www-browser %{_datadir}/%name/i18n/en/html-1.4-en/index.html
Icon=documentation_section
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Documentation;
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%post pdf
%{update_menus}

%postun pdf
%{clean_menus}

%post html
%{update_menus}

%postun html
%{clean_menus}

%post en
%{update_menus}

%postun en
%{clean_menus}

%post pdf-en
%{update_menus}

%postun pdf-en
%{clean_menus}

%post html-en
%{update_menus}

%postun html-en
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/applications/mandriva-%{name}-ps-?.desktop
%{_datadir}/patriarche/A4-patriarche-*.ps

%files pdf
%defattr(-,root,root)
%{_datadir}/applications/mandriva-%{name}-pdf-?.desktop
%{_datadir}/patriarche/A4-patriarche-*.pdf

%files html
%defattr(-,root,root)
%{_datadir}/applications/mandriva-%{name}-html-?.desktop
%{_datadir}/patriarche/patriarche-*.html
%{_datadir}/patriarche/html-1.1/
%{_datadir}/patriarche/html-1.2/
%{_datadir}/patriarche/html-1.3/
%{_datadir}/patriarche/html-2.1/
%{_datadir}/patriarche/index.html

%files txt
%defattr(-,root,root)
%{_datadir}/patriarche/patriarche-*.txt

%files xml
%defattr(-,root,root)
%{_datadir}/patriarche/patriarche-*.xml

%files tools
%defattr(-,root,root)
%{_bindir}/viediff
%{_bindir}/viewdiff
%{_bindir}/viehtml
%{_datadir}/patriarche/vie.dtd
%{_datadir}/patriarche/latex.xsl
%{_datadir}/patriarche/html.xsl
%{_datadir}/patriarche/text.xsl
%{_datadir}/patriarche/Makefile

%files en
%defattr(-,root,root)
%{_datadir}/applications/mandriva-%{name}-ps-?-en.desktop
%{_datadir}/patriarche/i18n/en/A4-patriarche-*.ps

%files pdf-en
%defattr(-,root,root)
%{_datadir}/applications/mandriva-%{name}-pdf-?-en.desktop
%{_datadir}/patriarche/i18n/en/A4-patriarche-*.pdf

%files html-en
%defattr(-,root,root)
%{_datadir}/patriarche/i18n/en/patriarche-*.html
%{_datadir}/patriarche/i18n/en/html-1.1-en/
%{_datadir}/patriarche/i18n/en/html-1.2-en/
%{_datadir}/patriarche/i18n/en/html-1.3-en/
%{_datadir}/patriarche/i18n/en/html-2.1-en/
%{_datadir}/patriarche/i18n/en/index.html
%{_datadir}/applications/mandriva-%{name}-html-?-en.desktop

%files txt-en
%defattr(-,root,root)
%{_datadir}/patriarche/i18n/en/patriarche-*.txt

%files xml-en
%defattr(-,root,root)
%{_datadir}/patriarche/i18n/en/patriarche-*-en.xml



%changelog
* Mon Jan 21 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.8-8mdv2008.1
+ Revision: 155642
- relax BR
- remove buildconflicts on texlive
- patch 1: fix not finding compressed images
- try harder not to build with texlive
- build with tetex, texlive not providing fancyheadings.sty
- fix paths in menu entries
- fix menu names
- use www-browser rather than $BROWSER
- do not harcode gv but use desktop agnostic xdg-open command
- kill re-definition of %%buildroot on Pixel's request
- do not harcode icon extension

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.2.8-6mdv2008.0
+ Revision: 90047
- rebuild

* Thu Aug 23 2007 Funda Wang <fundawang@mandriva.org> 1:0.2.8-5mdv2008.0
+ Revision: 70655
- use gimp 2.4 as dependecy
- remove old menu


* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 13:31:03 (55991)
- mkrelisation
- xdg menu

* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/14/06 11:28:55 (55954)
Import patriarche

* Sat Jan 07 2006 Warly <warly@laposte.net> 1:0.2.8-3mdk
- gimp symlink does not exist, must use gimp-2.3 in update_img

* Sat Jan 07 2006 Warly <warly@laposte.net> 1:0.2.8-2mdk
- Add buildrequire tetex-latex

* Wed Jan 04 2006 Warly <warly@laposte.net> 1:0.2.8-1mdk
- Add first draft of book 4

* Tue Oct 11 2005 Warly <warly@laposte.net> 1:0.2.5-1mdk
- More spell fixes in the first 3 books
- More pictures
- Add first pages of english translation

* Fri Feb 04 2005 Warly <warly@laposte.net> 1:0.2.3-1mdk
- More spell fixes in the first 3 books
- Little change in the story of Thomas for the Book 4 (Menocha)

* Tue Dec 21 2004 Warly <warly@laposte.net> 1:0.2.2-1mdk
- more spell fixes
- Several changes in book 3

* Sun Dec 05 2004 Warly <warly@laposte.net> 1:0.1.7-1mdk
- Include menu
- updated tome 1, 2 and 3
- updated html version with page splitted version

